#!/usr/bin/env python
# setup.py generated by flit for tools that don't yet use PEP 517

from distutils.core import setup

packages = \
['stepwise']

package_data = \
{'': ['*'],
 'stepwise': ['.pytest_cache/*',
              '.pytest_cache/v/*',
              '.pytest_cache/v/cache/*',
              'builtins/*']}

install_requires = \
['appdirs',
 'arrow',
 'autoprop',
 'configurator',
 'docopt',
 'inform',
 'more_itertools',
 'nonstdlib',
 'pandas',
 'setuptools',
 'voluptuous']

extras_require = \
{'test': ['toml']}

entry_points = \
{'console_scripts': ['stepwise = stepwise:main'],
 'stepwise.commands': ['edit = stepwise.cli:edit',
                       'lpr = stepwise.cli:lpr',
                       'ls = stepwise.cli:ls',
                       'which = stepwise.cli:which'],
 'stepwise.protocol_dirs': ['builtins = stepwise:protocol_dirs']}

setup(name='stepwise',
      version='0.1.0',
      description='Wetlab protocols that follow the Unix philosophy.',
      author='Kale Kundert',
      author_email='kale@thekunderts.net',
      url='https://github.com/kalekundert/stepwise',
      packages=packages,
      package_data=package_data,
      install_requires=install_requires,
      extras_require=extras_require,
      entry_points=entry_points,
      python_requires='~=3.8',
     )
